Subject: bug#49308: GNU sed for Tru6 configure CFLAGS?

From: Assaf Gordon <[email-masked]>
Date: Wed, 4 Aug 2021 15:29:47 -0600

(adding gnulib@)

Hello,

On 2021-07-01 12:35 a.m., Jay K wrote:
> Hi. I built GNU sed for Tru64.
> With native cc, not gcc. I realize it is an old system.
> 
> $ uname -srm
> OSF1 V5.1 alpha
> 
> $ which cc
> /usr/bin/cc
> 
> $ cc -V
> Compaq C V6.5-303 (dtk) on HP Tru64 UNIX V5.1B (Rev. 2650)
> Compiler Driver V6.5-302 (dtk) cc Driver
> 
> It seemed to require:
>   ./configure CFLAGS="-pthread"
> 
> Otherwise, there was an unresolved mbtowc_with_lock.

To be more precise:
Does the compiler complain that the "mbtowc_with_lock" function has an 
unresolved symbol relating to 'pthreads' ?

or that the symbol "mbtowc_with_lock" is unresolved ?

> 
> Perhaps configure.ac can/should do that automatically?
> 
> Perhaps this can/should somehow be done more globally, beyond sed?
> i.e. I should refer to autoconf mailing list?
'mbtowc_with_lock' comes from the gnulib module 'mbtowc-lock':
https://git.savannah.gnu.org/cgit/gnulib.git/tree/lib/mbtowc-lock.h
I see the file has several #ifdefs for specific systems,
perhaps Tru64 can be added?

Gnulib experts can perhaps answer this better.

(But as you're aware, there's a limited amount of support for older 
systems...)

regards,
  - assaf